Loading...
Searching...
No Matches
RDKit::MolStandardize::Tautomer Class Reference

`#include <Tautomer.h>`

## Public Member Functions

| Tautomer ()
| Tautomer (ROMOL_SPTR t, ROMOL_SPTR k, size_t a=0, size_t b=0)

## Public Attributes

ROMOL_SPTR | tautomer
ROMOL_SPTR | kekulized

## Friends

class | TautomerEnumerator

## Detailed Description

Definition at line 101 of file MolStandardize/Tautomer.h.

## Constructor & Destructor Documentation

## Tautomer() [1/2]

RDKit::MolStandardize::Tautomer::Tautomer | ( |  | ) |

inline

Definition at line 105 of file MolStandardize/Tautomer.h.

## Tautomer() [2/2]

RDKit::MolStandardize::Tautomer::Tautomer | ( | ROMOL_SPTR | t,
|  | ROMOL_SPTR | k,
|  | size_t | a = `0`,
|  | size_t | b = `0`
| ) |  |

inline

Definition at line 106 of file MolStandardize/Tautomer.h.

## Friends And Related Symbol Documentation

## TautomerEnumerator

friend class TautomerEnumerator

friend

Definition at line 102 of file MolStandardize/Tautomer.h.

## Member Data Documentation

## kekulized

ROMOL_SPTR RDKit::MolStandardize::Tautomer::kekulized

Definition at line 113 of file MolStandardize/Tautomer.h.

## tautomer

ROMOL_SPTR RDKit::MolStandardize::Tautomer::tautomer

Definition at line 112 of file MolStandardize/Tautomer.h.

The documentation for this class was generated from the following file:

- MolStandardize/Tautomer.h